<xml> </xml>

db4o |

# XTeaEncryptionFileAdapter Members

XTeaEncryptionFileAdapter overview

#### Public Instance Constructors

XTeaEncryptionFileAdapter | Overloaded. Initializes a new instance of the XTeaEncryptionFileAdapter class.

#### Public Instance Methods

blockCopy (inherited from IoAdapter) | copies a block within a file in block mode
blockSeek (inherited from IoAdapter) | Overloaded. sets the read/write pointer in the file using block mode
blockSize (inherited from IoAdapter) | Overloaded. outside call to set the block size of this adapter
close | implement to close the adapter
copy (inherited from IoAdapter) | copies a block within a file in absolute mode
Equals (inherited from Object) |
exists (inherited from IoAdapter) | checks whether a file exists
GetHashCode (inherited from Object) |
getLength | implement to return the absolute length of the file
GetType (inherited from Object) |
open | implement to open the file
read | Overloaded. implement to read and decrypt a buffer
read (inherited from IoAdapter) | Overloaded. reads a buffer at the seeked address
seek | implement to set the read/write pointer in the file
sync | implement to flush the file contents to storage
ToString (inherited from Object) |
write | Overloaded. implement to write and encrypt a buffer
write (inherited from IoAdapter) | Overloaded. writes a buffer to the seeked address

#### Protected Instance Methods

Finalize (inherited from Object) |
MemberwiseClone (inherited from Object) |
regularAddress (inherited from IoAdapter) | converts address and address offset to an absolute address

#### See Also

XTeaEncryptionFileAdapter Class | com.db4o.io.crypt Namespace